# VignetteShader

## Import

VignetteShader is an addon, and must be imported explicitly, see [Installation#Addons](https://threejs.org/manual/#en/installation).

```js
import { VignetteShader } from 'three/addons/shaders/VignetteShader.js';
```

## Properties

### .VignetteShader : ShaderMaterial~Shader (inner, constant)

Based on [PaintEffect postprocess from ro.me](https://github.com/dataarts/3-dreams-of-black/blob/master/deploy/js/effects/PaintEffect.js).

## Source

[examples/jsm/shaders/VignetteShader.js](https://github.com/mrdoob/three.js/blob/master/examples/jsm/shaders/VignetteShader.js)